com.genesyslab.wfm8.API.service.forecast810

## Class FrcOverlayEvent

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast810.FrcOverlayEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcOverlayEvent
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `disregard` Disregard historical data flag
    `protected double` | `endDateTime` End date and time (obsolete)
    `protected int` | `eventID` Event ID
    `protected double` | `impactStartDateTime` Impact start date and time
    `protected java.lang.String` | `name` Event name
    `protected int` | `overlayID` Overlay ID event belongs to
    `private static long` | `serialVersionUID`
    `protected double` | `startDateTime` Start date and time (obsolete)
    `protected double` | `value` Value (multiplier) of the impact

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcOverlayEvent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getEndDateTime()` Gets the endDateTime value for this FrcOverlayEvent.
    `int` | `getEventID()` Gets the eventID value for this FrcOverlayEvent.
    `double` | `getImpactStartDateTime()` Gets the impactStartDateTime value for this FrcOverlayEvent.
    `java.lang.String` | `getName()` Gets the name value for this FrcOverlayEvent.
    `int` | `getOverlayID()` Gets the overlayID value for this FrcOverlayEvent.
    `double` | `getStartDateTime()` Gets the startDateTime value for this FrcOverlayEvent.
    `double` | `getValue()` Gets the value value for this FrcOverlayEvent.
    `int` | `hashCode()`
    `boolean` | `isDisregard()` Gets the disregard value for this FrcOverlayEvent.
    `void` | `setDisregard(boolean disregard)` Sets the disregard value for this FrcOverlayEvent.
    `void` | `setEndDateTime(double endDateTime)` Sets the endDateTime value for this FrcOverlayEvent.
    `void` | `setEventID(int eventID)` Sets the eventID value for this FrcOverlayEvent.
    `void` | `setImpactStartDateTime(double impactStartDateTime)` Sets the impactStartDateTime value for this FrcOverlayEvent.
    `void` | `setName(java.lang.String name)` Sets the name value for this FrcOverlayEvent.
    `void` | `setOverlayID(int overlayID)` Sets the overlayID value for this FrcOverlayEvent.
    `void` | `setStartDateTime(double startDateTime)` Sets the startDateTime value for this FrcOverlayEvent.
    `void` | `setValue(double value)` Sets the value value for this FrcOverlayEvent.
    `java.lang.String` | `toString()`
    `FrcOverlayEvent` | `withDisregard(boolean value)`
    `FrcOverlayEvent` | `withEndDateTime(double value)`
    `FrcOverlayEvent` | `withEventID(int value)`
    `FrcOverlayEvent` | `withImpactStartDateTime(double value)`
    `FrcOverlayEvent` | `withName(java.lang.String value)`
    `FrcOverlayEvent` | `withOverlayID(int value)`
    `FrcOverlayEvent` | `withStartDateTime(double value)`
    `FrcOverlayEvent` | `withValue(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### overlayID

          protected int overlayID

      Overlay ID event belongs to

    - #### eventID

          protected int eventID

      Event ID

    - #### name

          protected java.lang.String name

      Event name

    - #### startDateTime

          protected double startDateTime

      Start date and time (obsolete)

    - #### endDateTime

          protected double endDateTime

      End date and time (obsolete)

    - #### impactStartDateTime

          protected double impactStartDateTime

      Impact start date and time

    - #### value

          protected double value

      Value (multiplier) of the impact

    - #### disregard

          protected boolean disregard

      Disregard historical data flag

  - ### Constructor Detail

    - #### FrcOverlayEvent

          public FrcOverlayEvent()

  - ### Method Detail

    - #### getOverlayID

          public int getOverlayID()

      Gets the overlayID value for this FrcOverlayEvent.
      Returns:
        overlayID

    - #### setOverlayID

          public void setOverlayID(int overlayID)

      Sets the overlayID value for this FrcOverlayEvent.
      Parameters:
        `overlayID` -

    - #### getEventID

          public int getEventID()

      Gets the eventID value for this FrcOverlayEvent.
      Returns:
        eventID

    - #### setEventID

          public void setEventID(int eventID)

      Sets the eventID value for this FrcOverlayEvent.
      Parameters:
        `eventID` -

    - #### getName

          public java.lang.String getName()

      Gets the name value for this FrcOverlayEvent.
      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name value for this FrcOverlayEvent.
      Parameters:
        `name` -

    - #### getStartDateTime

          public double getStartDateTime()

      Gets the startDateTime value for this FrcOverlayEvent.
      Returns:
        startDateTime

    - #### setStartDateTime

          public void setStartDateTime(double startDateTime)

      Sets the startDateTime value for this FrcOverlayEvent.
      Parameters:
        `startDateTime` -

    - #### getEndDateTime

          public double getEndDateTime()

      Gets the endDateTime value for this FrcOverlayEvent.
      Returns:
        endDateTime

    - #### setEndDateTime

          public void setEndDateTime(double endDateTime)

      Sets the endDateTime value for this FrcOverlayEvent.
      Parameters:
        `endDateTime` -

    - #### getImpactStartDateTime

          public double getImpactStartDateTime()

      Gets the impactStartDateTime value for this FrcOverlayEvent.
      Returns:
        impactStartDateTime

    - #### setImpactStartDateTime

          public void setImpactStartDateTime(double impactStartDateTime)

      Sets the impactStartDateTime value for this FrcOverlayEvent.
      Parameters:
        `impactStartDateTime` -

    - #### getValue

          public double getValue()

      Gets the value value for this FrcOverlayEvent.
      Returns:
        value

    - #### setValue

          public void setValue(double value)

      Sets the value value for this FrcOverlayEvent.
      Parameters:
        `value` -

    - #### isDisregard

          public boolean isDisregard()

      Gets the disregard value for this FrcOverlayEvent.
      Returns:
        disregard

    - #### setDisregard

          public void setDisregard(boolean disregard)

      Sets the disregard value for this FrcOverlayEvent.
      Parameters:
        `disregard` -

    - #### withEventID

          public FrcOverlayEvent withEventID(int value)

    - #### withOverlayID

          public FrcOverlayEvent withOverlayID(int value)

    - #### withDisregard

          public FrcOverlayEvent withDisregard(boolean value)

    - #### withName

          public FrcOverlayEvent withName(java.lang.String value)

    - #### withImpactStartDateTime

          public FrcOverlayEvent withImpactStartDateTime(double value)

    - #### withStartDateTime

          public FrcOverlayEvent withStartDateTime(double value)

    - #### withEndDateTime

          public FrcOverlayEvent withEndDateTime(double value)

    - #### withValue

          public FrcOverlayEvent withValue(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.